site_name: uMap documentation
site_description: uMap lets you create maps with OpenStreetMap layers in a minute and embed them in your site
repo_name: umap-project/umap
repo_url: https://github.com/umap-project/umap
nav:
  - Home: index.md
  - How-tos:
      - Getting started: install.md
      - Contribute: contributing.md
      - Release: release.md
  - Development:
      - Overview: dev/overview.md
      - Frontend: dev/frontend.md
      - Dependencies: dev/dependencies.md
  - Configuration:
      - Settings: config/settings.md
      - Customize: config/customize.md
      - Storage: config/storage.md
      - Icon packs: config/icons.md
  - Deployment:
      - Overview: deploy/overview.md
      - Docker: deploy/docker.md
      - Helm: deploy/helm.md
      - Nginx: deploy/nginx.md
      - ASGI: deploy/asgi.md
      - WSGI: deploy/wsgi.md
  - Changelog: changelog.md
theme:
  name: material
  logo: assets/logo.svg
  homepage: https://umap-project.org
  palette:
    - scheme: 'default'
      media: '(prefers-color-scheme: light)'
      primary: 'custom'
      toggle:
        icon: 'material/lightbulb'
        name: 'Switch to dark mode'
    - scheme: 'slate'
      media: '(prefers-color-scheme: dark)'
      primary: 'custom'
      toggle:
        icon: 'material/lightbulb-outline'
        name: 'Switch to light mode'
  features:
    - navigation.sections
    - navigation.footer
extra_css:
  - stylesheets/extra.css
markdown_extensions:
  - toc:
      permalink: ⚓︎
  - pymdownx.magiclink:
      normalize_issue_symbols: true
      repo_url_shorthand: true
      user: umap-project
      repo: umap
  - admonition
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true
      combine_header_slug: true
